- Home
- API Enriched
- Virtual
- ml
- Staged Signatures.
Staged Signatures.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/staged_signatures';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","namespace":"example","start_time":"example","vh_name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/staged_signatures \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "namespace": "example", "start_time": "example", "vh_name": "example" }'API to GET Staged Signatures.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Fetch staged signatures for the given namespace.
Vh_name Virtual Host for current request.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to GET the list of all staged signatures.
object
Fetch staged signatures whose timestamp <= end_time format: unix_timestamp|RFC 3339.
Fetch staged signatures for the given namespace.
Fetch staged signatures whose timestamp >= start_time format: unix_timestamp|RFC 3339.
Virtual Host for current request.
Examplegenerated
{ "end_time": "example", "namespace": "example", "start_time": "example", "vh_name": "example"}Responses
Section titled “Responses”A successful response.
Response to GET the list of all staged signatures.
object
List of staged signatures.
Staged signature details.
object
Detected signature accuracy.
The Signature Attack Type.
Context of the signature detected.
Number of times signature detected in traffic.
Detected signature ID.
Signature ID name.
Request details for the matched signature.
Detected signature name.
State of the signature.
Examplegenerated
{ "staged_signatures": [ { "accuracy": "example", "attack_type": "example", "context": "example", "count": 1, "id": "example", "id_name": "example", "matching_info": "example", "name": "example", "state": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example